ATA_QC_ISSUE(9)

NAME
ata_qc_issue - issue taskfile to device

SYNOPSIS

void ata_qc_issue(struct ata_queued_cmd * qc);

ARGUMENTS

qc
    command to issue to device

DESCRIPTION

Prepare an ATA command to submission to device. This includes mapping the data into a DMA-able area, filling in the S/G table, and finally writing the taskfile to hardware, starting the command.

LOCKING

spin_lock_irqsave(host lock)

AUTHOR

Jeff Garzik
    Author.

COPYRIGHT